Skip to main content
GET
/
beta
/
fleet
/
hos
/
drivers
/
eld-events
[beta] Get driver HOS ELD events
curl --request GET \
  --url https://api.samsara.com/beta/fleet/hos/drivers/eld-events \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "driverActivationStatus": "active",
      "eldEvents": [
        {
          "eldEventCode": 3,
          "eldEventType": 6,
          "time": "2019-06-13T19:08:25Z",
          "accumulatedVehicleMeters": 106,
          "elapsedEngineHours": 284.1,
          "eldEventRecordOrigin": 2,
          "eldEventRecordStatus": 2,
          "location": {
            "city": "San Francisco",
            "eldLocation": "3.1 mi WSW San Francisco, CA",
            "latitude": 123.456,
            "longitude": 37.459,
            "state": "CA"
          },
          "malfunctionDiagnosticCode": "P",
          "remark": {
            "comment": "Pre-Trip Inspection",
            "locationDescription": "Near San Francisco",
            "time": "2019-06-13T19:08:25Z"
          },
          "totalEngineHours": 2894.1,
          "totalVehicleMeters": 1004566,
          "vehicle": {
            "externalIds": {},
            "id": "494123",
            "name": "Fleet Truck #1"
          }
        }
      ],
      "id": "494123",
      "name": "Joe Driver",
      "externalIds": {}
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startTime
string
required

A start time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string
required

An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

driverIds
string[]

A filter on the data based on this comma-separated list of driver IDs and externalIds. Example: driverIds=1234,5678,payroll:4841

tagIds
string

A filter on the data based on this comma-separated list of tag IDs. Example: tagIds=1234,5678

parentTagIds
string

A filter on the data based on this comma-separated list of parent tag IDs, for use by orgs with tag hierarchies. Specifying a parent tag will implicitly include all descendent tags of the parent tag. Example: parentTagIds=345,678

driverActivationStatus
enum<string>
default:active

If value is deactivated, only drivers that are deactivated will appear in the response. This parameter will default to active if not provided (fetching only active drivers). Valid values: active, deactivated

Available options:
active,
deactivated
after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

limit
integer
default:25

The limit for how many objects will be in the response. Default and max for this value is 25 objects.

Required range: 1 <= x <= 25

Response

OK response.

data
object[]
required

List of drivers and their ELD event objects data.

pagination
object

Pagination parameters.